function [StrRev,SRR] = get_SteerRev(SWA, Vswa, Vnoise,ampl_thresh)

% Computing steering reversal
% Written by Kamel Salaani at VRTC - VRTC Track Study

[f2,f1] = butter(2,2*(0.6/25));  %0.048 = 0.6 Hz
x = filtfilt(f2,f1,SWA);
xr = filtfilt(f2,f1,Vswa);

indx = find( xr > Vnoise/2 | xr < -1*Vnoise/2 );
%
nn = length(indx);
StrRev = 0;
str1 = 0;
for i=1:(nn-1)
    if (xr(indx(i))*xr(indx(i+1)) < 0) % if there is a switch of sign
        if str1 == 0
            str1 = x(indx(i));
        else
            str2 = x(indx(i));
            if abs(str2-str1) > ampl_thresh
                StrRev = StrRev + 1;
                indx2(StrRev) = indx(i);
            end
            str1 = 0;
        end
    end
end

SRR = 60 * StrRev / (length(x)/25); % steering reversal rate per minute