% Steering wheel steadiness  (% of time)
% This measure is defined as the percentage of time that the steering wheels
% Absolute angular velocity was smaller than 1 deg/s. Steering wheel steadiness was also used in our previous research, and was
% Found to be a robust measure of steering behaviour

function SWS=steering_wheel_steadiness(VSWA)
[f2,f1] = butter(2,2*(0.6/25)); % 0.048 = 0.6 Hz
VSWA = filtfilt(f2,f1,VSWA);
SWS = 100 * mean(abs(VSWA)<1);
end

